IuVCR

A Video Recording Utility

Introduction

iuVCR is a video recording program for Microsoft Windows 2000/XP. You've got a TV tuner or a video capture card installed under Windows 2000/XP operating system, haven't you? If your answer is "Yes," it means you also have an easy way to record your favorite TV programs and amateur videos in .avi / .wmv format. You can also use it to send still images over the Internet.

With the help of a friendly and simple interface, iuVCR allows you to capture video of any format, frame size and duration. It can start up automatically with its built-in scheduler. It also supports plugins and has a number of special features.

There are several programs for video capture available, but the most of them operate quite poorly in Windows 2000/XP because of the new DirectShow multimedia technology these operating systems use. The programs which don't support DirectShow typically produce quite mediocre results.

iuVCR is a DirectShow based application for video recording which employs the newest multimedia technologies developed by Microsoft Corporation. It ensures that you are getting the most from your video capture card. As any DirectShow application does, iuVCR allows recording .avi files of any size, eliminating the file size limitation of 2 Gb, inherent to older video capture programs. You can record .avi files, the size of which are limited only by the capacity of your hard disk, when using Windows 2000/XP with the NTFS file system. So, by using iuVCR in combination with recommended hardware, you will be able to easily record long-lasting videos in any resolution with no frame loss.

Basic features of iuVCR:

  • DV devices support
  • TV channels tuning support.
  • Video capturing frame size up to 768x576.
  • Arbitrary choice frame size.
  • Microsoft Windows Media Format support and Windows Media Encoder integration.
  • Video stream preview during capture without frame size limitations.
  • Most settings are automatically stored in the system registry.
  • Store settings to custom presets.
  • Integration with Windows system scheduler.
  • Split captured video stream to several files.
  • Continuous capturing across several disk partitions.
  • Real-time video processing plugins support.
  • Still images grabbing.

This help contents:

  • System requirements
  • Controls
  • Keyboard shortcuts
  • Command line parameters
  • Capture tips
  • License
  • Registration
  • FAQ
  • History
  • Contact information


iuVCR System requiremen

iuVCR System requirements

  • Windows 2000 (Windows 98 and Windows ME also supported but not recommended);
  • DirectX 7.0 or higher;
  • Microsoft Windows Media Encoder if Windows Media Format need.
  • Pentium II processor or higher (600Mhz PIII or higher recommended);
  • 128Mb RAM;DirectX compatible sound card;
  • DirectX compatible display adapter;
  • Video capture PCI card with installed WDM-drivers (a bt848/bt878-based card recommended as good tested device) or digital video camera and IEEE 1394 PCI board;
  • Free HDD space: 2 Mb for program files; 0,05-60 Gb for video clips. A 7200rpm IDE harddrive and an UDMA66-UDMA100 IDE controller such as Promise or HotRod recommended.


Controls description

iuVCR controls

Interface description

There are three very important buttons in the right section of the iuVCR interface. The first toggles the preview window ("Enable Preview"). The second toggles the video capture process ("Start Record"). The third ("Snapshot") controls getting a snapshot of a video stream in a .bmp / .jpg file. Right click on it pops up snapshot options menu. In the lower part you can see events log line. You can choose to clear the log or save it by right-clicking on it.

All program controls are divided into the following tabs:

  • File
  • Video
  • Audio
  • Channels
  • Options
  • Presets
  • Info
  • Schedule
  • Filters
  • About


File Tab

The following parameters responsible for the location and properties of the video files created by iuVCR can be found in the File section:

"File name". Define a name and a path to the file where a video stream should be recorded.

If you would like to provide for some file name originality, feel free to check the "To add a timestamp" checkbox. A recording start date and time will then be added to the filename in a "yymmdd-hhmmss" format.

If you've got several hard drives or your hard drive is divided into a number of logical ones, you can make a logical multivolume recording with the help of the "Alternate locations" list. iuVCR automatically switches to the next volume if you are out of space on the current one.

The "Max file size" and "Max file time" parameters are used for automatic file partitioning. There is no need to use this parameter if you are using the NTFS file system because uiVCR can record .avi files of any size. It is usually required by a FAT32 file system, which has a 4GB maximum file size limitation. Setting the "Max file size" parameter value to zero turns multivolume recording mode off.


Video Tab

Here you can select and set up the capture device to be used by iuVCR, define video and audio sources ("Crossbar" button), and adjust video stream format with "Preview Format" and "Capture Format" buttons. In some drivers, such as ATI, two independent Crossbar program modules are used for video/audio settings. In that case, a "Crossbar2" button (usually used for selecting whether to use the TV tuner or an external input for the audio source) will be available.

Note: original iuVCR menus are available by clicking "Crossbar", "Preview Format" and "Capture Format" buttons (left click) as well as standard DirectShow menus (right click). You can try to adjust some specific settings by means of standard DirectShow menus if the original iuVCR ones don't allow you to.

You can also select and set up the video compression codec here. Keep in mind that only a few codecs perform well enough in the real-time video compression mode, so some may perform badly or even fail completely. If you do not want your video recording to be compressed, choose the very first item - “None (uncompressed)”. If you’ve got a Microsoft Media Encoder installed in your system, it means you can record video in .wmf (Windows Media Format) by choosing the second item, "Microsoft Windows Media Format" in the compressors list. Some recommendations on codec choice are available in the "Capture Tips" section.


Audio Tab

Here you can select and set up the sound device to be used by iuVCR, define the audio recording source, and adjust its recording level.

You can also select and set up the audio compression codec here. Keep in mind that only a few audio codecs perform well enough in the real-time audio compression mode, so some may perform badly or even fail completely. If you do not want your audio recording to be compressed, choose the PCM recording format. It is important to note that if Windows Media Format is being used as the video compression codec, any audio codec selection will be ignored except PCM, which defines the audio stream quality of the Windows Media Format codec.


Channels Tab

The Channels tab is available only if there is a TV tuner module embedded in your capture device. Here you can set up your own video settings such as brightness, contrast, saturation and TV standard (PAL/SECAM/NTSC) independently for each channel. You can also arrange so called "pseudo-channels" - some special positions in the channels list for Composite and S-Video inputs. An automatic channel search may be initiated by pressing the "Scan" button. You can also bring up a standard DirectShow TV tuner menu by pressing the "TV Tuner" button. This may be useful if your iuVCR cannot tune in correctly.


Options Tab

The settings at the Options tab are available in the following groups:

"Common" options

"Use Smart Tee for Preview" Some video capture cards (bt848/878) do not provide simultaneous recording and preview if frame size exceeds 288 vertical lines in PAL/SECAM or 240 lines in NTSC due to hardware and drivers revision. You may enable the "Use Smart Tee for Preview" option to override these restrictions. Then the video stream is split by a special "Smart Tee" filter, which is emulated by the CPU. It does not depend on the Preview function realization in the video capture device. It provides simultaneous recording and preview processing independent of the captured picture size. This option isn't used with the cards with Preview function hardware support (ATI, ASUS, etc). Important: enabling this function may result in some additional video streams mistiming!

"Disable Screen Saver" This option disables screensaver while iuVCR is running.

"Start with Preview" Makes iuVCR to show Preview window on startup. This may be useful if you suddenly decide to watch TV programs with the help of iuVCR.

"Internal FPS detector" This option enables alternative method for frame rate and dropped frames detection.

"AVI MUX Settings" options.

This group accesses settings of a DirectShow filter called "AVI Mux". It combines audio and video streams into an alternate sequence of samples.

"Interleave" Controls interleaving mode. The default is INTERLEAVE_NONE.

"AVI Compatibility Index" This option may be used for getting .avi files of version 1.0, which are compatible to older programs.

"Master Stream" With this option enabled, DirectShow creates audio and video streams of the same duration by correcting the sample recurrence rate in one stream in relation to the master stream. This may result in audio/video mistiming, but sometimes the effect may be quite the opposite.

"Synchronization" options

"Sync using stream offset" With this option enabled, the DirectShow filter manager synchronizes the audio and video streams on the basis of an audio/video sample transmission latency value through all the DirectShow filters. In theory, this must ensure an excellent audio/video streams synchronization, but in reality it might have a negative effect as many audio/video drivers don't provide correct support for informing DirectShow about latency values

"Audio stream offset" This option produces a specific audio stream offset in relation to the video stream. Actually, if no special measures have been taken, the video stream usually starts 100-200 ms later than audio stream does. You may enable this option to compensate for the delay.

"Short audio samples" With this option enabled, iuVCR will set audio sample size about 50 ms instead standard 500 ms. It may be useful for pausing with more precision. It is recommended to have this option enabled.

"System timer for video", "System timer for audio" Try to use these options when you get errors like 80040228. Usually it should be switched off.


Presets Tab

iuVCR has a simple presets manager that allows you to set and save all the current program settings under a unique name that can be used in the scheduler or when iuVCR is started with command line parameters. The "Default" preset is permanent and cannot be renamed or deleted. All current settings are saved in this preset on iuVCR exit.


Info Tab

The Info tab displays a summary of current program settings such as video stream format, compression codecs used, and others. Statistics information is displayed while the video picture is being captured: the amount of frames recorded and skipped, the output file current size, the amount of free disk space, etc. You can also see the CPU usage indicator here.


Schedule Tab

Under the Schedule Tab you can program iuVCR to be run at a specified time. Don't forget to run the "Scheduled Tasks" service so the scheduler will function properly.


Filters Tab

This tab allows the use of additional plugins for real time video stream processing. Any DirectShow filter with one Input Pin and one Output Pin can be used as a plug-in for iuVCR. Compatibility between the current video stream and filter is strongly recommended for correct operation.


Capture tips

Software environment

Use Windows 2000/XP and NTFS volumes. It gives you the following advantages:

  • The NTFS file system and iuVCR allow you to create .avi files of any size Under the FAT32 file system no file can exceed 4 GB in size.
  • WDM drivers are handled much more efficiently.
  • Strict priority management reduces frame loss.

An update to DirectX 8.1 is also recommended.

Color format choice

16-bit YUY2 or YVUV are strictly recommended for capture. First, these formats are "native" for color representation in both TV broadcast and video signal digitizing chips. For instance, the popular bt848/878 chip digitizer output returns YUY2, and all the other color formats (such as RGB16, RGB24, and YUV12) are derived from YUY2 as a result of conversion in bt8x8. So, there's no need to apply RGB24, as it carries no additional color information and takes 1.5 more storage volume.

Compression codec choice

The best quality can be achieved in an uncompressed video stream. But a minute of an uncompressed video may take up to 768x576x2x25x60~=1.2 GB, and the data stream is approx. 20Mb/sec. Not every system is able to process such a high amount of data. That's why video is already being compressed at the capture stage. To obtain quality results, special codecs for real time capture are recommended. These compression ratio of these codecs isn't high (approx. 2-32), but it is enough to reduce system requirements and retain picture quality. These are some of the most popular of these codecs:

  • huffyuv compressor (http://www.math.berkeley.edu/~benrg/huffyuv.html) This codec employs the Huffman compression algorithm. Its compression ratio isn't high (about 2), and it adds no distortion to the video, as the compression is lossless.
  • PICVideo MJPEG compressor (http://www.jpg.com). A very fast codec with a quickly changeable compression ratio. Compression is lossy and some quality loss occurs. The picture quality gets noticeably poor at high compression ratios.

After you're finished with the capture, you will need to edit and finalize compressing your video using a codec like MPEG4 using the VirtualDUB utility (www.virtualdub.org).

MPEG4 codecs such as DivX (www.divx.com) are not recommended for “on-the-fly” video capture because they’re not designed for capturing high quality video in real time. They are best suited to “record-watch-delete” purposes, as the quality is quite mediocre.

A suggested routine of getting a quality video

The author has used the following routine to get video clips of acceptable quality:

1. Video is captured in 768x576xYUY2x25fps format, using PicVideo MJPEG codec, quality 19 and PCM 44100x16bit mono sound.

2. Then the following processing is implemented in the Virtual DUB utility: these filters are applied successively: - Static noise reduction (or SmartDeinterlace) - Resize to 512x384 (a slight crop may be applied if necessary) - Smart smoother (optional)

3. Finally, the sound is recoded into ADPCM or MP3

Drivers for bt848/878-based cards

Many of the WDM drivers for bt848/878-based cards have numerous limitations under Windows 2000/XP. Visit www.iulabs.com to find multipurpose improved WDM drivers for bt848/878-based cards. If you see your card in the compatibility list published on the site, it is recommended that you download and install the drivers.

Coming over the mistiming

If you can see a significant audio/video streams mistiming in your recorded file, try applying this options set, as shown here:

Notes on filters application

To crop frame edges, you can apply the "iuLab Video Crop" filter supplied with iuVCR. If the frame color format is YUY2 / YUYV, X1 and X2 parameters are required to be multiples of 4.

Real time deinterlacing is possible using the Dscaler DirectShow filter:
http://sourceforge.net/project/showfiles.php?group_id=7420&release_id=61078

Image sequence capture

iuVCR has the capability of capturing a video stream into a sequence of static images in .bmp or .jpeg format. Choose a special "[BMP] Capture to images" mode from the codecs list under the "Video" tab to activate it.


Command line parameters

iuVCR command line parameters:

iuVCR [/dev:<DeviceIndex>][/ch:N] [/d:SSSS][/f:<FileName.avi>] [/vxb:<VIN>][/axb:<AIN>][/p:<PresetName | PresetID>][/mute][/notv][/noxbar] [ /pwr:<o>|<h>],

i.e.:

DeviceIndex | Capture device index, if it isn't the only in the system. May take the values: 1,2,3,...N
N | TV channel index. If exceeds 3200, is interpreted as frequency in Hz.
SSSS | Recording time in seconds.
AIN | Audio In crossbar index.
VIN | Video In crossbar index.
/mute | Mute the Windows system mixer master channel on startup.
/notv | Don't try to initialize TV tuner module.
/noxbar | Don't try to initialize TV crossbar module.
/p | Preset ID or name.
/pwr | System hibernate (/pwr:h) or turn off power (/pwr:o) on recording completion

iuVCR automatically starts capture if any of the following parameters are set in the command line: ch, d, f, vxb, axb, p. You may start your iuVCR from external programs, such as scheduler.

Examples:

iuVCR /ch:7 /f:"c:\My Clips\News.avi" /d:600
News on channel 7 will be recorded for 600 sec (10 min) with the "Default" preset

iuVCR /ch:75000000 /f:"c:\My Clips\TomAndJerry.avi" /d:900 /p:Cartoons
.A cartoon film on 75MHz frequency will be recorded for 900 sec with "Cartoons" preset.


Keyboard shortcuts

iuVCR keyboard shortcuts:

Main window

Shortcut | Action
F1 | Call this reference
F12 | Shapshot
PageDown | Next channel
PageUp | Previous channel
Numpad1-Numpad9 | Channels 1-9
Space | Preview toggle
Ctrl-Space | Start recording
Shift-Space | Stop recording
M | Mute toggle

Preview window

Preview window passthrough shortcuts for main window and also have some own keyboard combinations:

Shortcut | Action
Ctrl-S | Always on top toggle
Ctrl-A | Keep ratio toggle
Ctrl-F1 | 1:2 window scale
Ctrl-F2 | 1:1 window scale
Ctrl-F3 | 2:1 window scale
Alt-Enter | Full screen toggle


Registration info

Registration

An unregistered copy of iuVCR is fully functional for 30 days. Your copy of iuVCR is ready to be registered at the registration companies representing iuLab on the Internet. The registration fee is $29 USD. For online registration and details, click here: http://www.iulabs.com/iuvcr/register.htm.


License

The iuVCR utility is shareware. This means:

1. All copyrights to iuVCR are exclusively owned by the author - Ivan Uskov.

2. Anyone may use this software during a test period of 30 days. Following this test period of 30 days or less, if you wish to continue to use iuVCR, you MUST register.

3. Once registered, the user is granted a non-exclusive license to use iuVCR on one computer (i.e. a single cpu), for any legal purpose, at a time. The registered iuVCR software may not be rented or leased, but may be permanently transferred, if the person receiving it agrees to terms of this license. If the software is an update, the transfer must include the update and all previous versions.

4. The iuVCR unregistered trial version, may be freely distributed, with exceptions noted below, provided the distribution package is not modified. No person or company may charge a fee for the distribution of iuVCR without written permission from the copyright holder. The iuVCR unregistered trial version may not be bundled or distributed with any other package without written permission of the copyright holder.

5. iuVCR IS DISTRIBUTED "AS IS". NO WARRANTY OF ANY KIND IS EXPRESSED OR IMPLIED. YOU USE AT YOUR OWN RISK. THE AUTHOR WILL NOT BE LIABLE FOR DATA LOSS, DAMAGES, LOSS OF PROFITS OR ANY OTHER KIND OF LOSS WHILE USING OR MISUSING THIS SOFTWARE.

6. You may not use, copy, emulate, clone, rent, lease, sell, modify, decompile, disassemble, otherwise reverse engineer, or transfer the
licensed program, or any subset of the licensed program, except as provided for in this agreement. Any such unauthorized use shall
result in immediate and automatic termination of this license and may result in criminal and/or civil prosecution.

All rights not expressly granted here are reserved by Ivan Uskov.

7. Installing and using iuVCR signifies acceptance of these terms and conditions of the license.

8. If you do not agree with the terms of this license you must remove iuVCR files from your storage devices and cease to use the product.

Thank you for using iuVCR.

Ivan Uskov


iuVCR messages API

A programmers may control iuVCR with using WM_COMMAND message:

#include <winuser.h>
HWND iuvcrwindow;
if ((iuvcrwindow = FindWindow("TfVCR", NULL)))
{
PostMessage(iuvcrwindow, WM_COMMAND, command, LParam);
}

// The list of commands:

#define VCR_QUIT 50000
//fast quit without saving changes. Use WM_CLOSE for normal exit.
#define VCR_SHUTDOWN 50001         //not used
#define VCR_NEXTPROGRAM         50002
#define VCR_PREVPROGRAM         50003
#define VCR_START_PREVIEW_T     50004 //work as trigger
#define VCR_START_CAPTURE       50005
#define VCR_STOP_CAPTURE        50006
#define VCR_MUTE                50007
#define VCR_FULLSCREEN          50008
#define VCR_WINDOWED            50009
#define VCR_FULLSCREEN_T        50010 //work as trigger
#define VCR_SNAPSHOT            50011
#define VCR_PAUSE_T             50012 //work as trigger
#define VCR_PAUSE_ENTER         50013
#define VCR_PAUSE_RESUME        50014
#define VCR_NUMPAD0             50020
#define VCR_NUMPAD1             50021
#define VCR_NUMPAD2             50022
#define VCR_NUMPAD3             50023
#define VCR_NUMPAD4             50024
#define VCR_NUMPAD5             50025
#define VCR_NUMPAD6             50026
#define VCR_NUMPAD7             50027
#define VCR_NUMPAD8             50028
#define VCR_NUMPAD9             50029
#define VCR_SETFILENAME         50040 //LParam must contains pointer to
zero-terminated string


FAQ

iuVCR FAQ

Q1: The following message is displayed at iuVCR start: "VIDEO CAPTURE DEVICE NOT FOUND. CORRESPONDING FUNCTIONS DISABLED. SORRY.". My computer is equipped with a TV tuner and other programs detect it correctly. What's wrong?
A: The problem is that your system probably has VXD drivers installed. iuVCR is designed to operate with the other, much newer, WDM type drivers and is incompatible with VXD drivers. This situation is common in Windows 98 or Windows Millennium where VXD and WDM drivers are both used. I cannot see any advantages to using WDM drivers under Windows 98 or Windows Millennium, so I would recommend that you either switch to Windows 2000 or not use iuVCR as its capabilities are fully enabled only in Windows 2000.

Q2: iuVCR operates normally but I cannot get any sound from the video capture card. What's up?
A: There're several possible causes:
1. The crossbar audio in is not connected to the TV tuner audio out. All you have to do is open the crossbar (or crossbar2 if this available) settings menu by the corresponding button on the Video tab and choose the right audio source. Please, run the Preview window before this procedure.
2. The sound card line-in is muted in the mixer settings.
3. This one is the most unpleasant: your sound card WDM drivers do not provide the correct sound source selection support. Unfortunately, this occurs much more frequently than might be expected. You may contact your TV tuner manufacturer for an updated driver version or try downloading bt848/bt878 reference drivers from www.iulabs.com.

Q3: Why are my audio and video streams not synchronized?
A: The causes of audio/video mistiming are numerous. But usually main reason of this problem in your audio device. Try applying some other parameters for video recording: choose another compression codec, set PCM sound format, etc. Some sound cards, such as Sound Blaster Live!, ensure acceptable synchronous audio stream for 48000 Hz sampling only. You may also try some options. Good results are achieved on many systems if the option set shown on this picture is applied:

Q4: How much will I have to pay for future versions of iuVCR if I register now?
A: Nothing at all. Your license is valid for all iuVCR versions. We're not going to require any additional fees for updates.


Contact information

iuVCR service support: support@iulabs.com

Sales support: sales@iulabs.com

Development: Ivan Uskov, ivus@iulabs.com

Internet: http://www.iulabs.com, http://www.iulab.com, http://www.iuvcr.com


Capture format

Video Format dialog

This dialog appears when you left click "Preview Format" or "Capture Format" buttons. You may adjust the frame size with presets or turn on the "Free" mode and choose an arbitrary size frame. When the "Color advice" box is checked, you can easily tell whether the size selected is a multiple of 8 (pink shading), 16 (yellow shading), or 32 (green shading). The frame width is recommended to be a multiple of at least 16 and the height a multiple of at least 8. This is important for the correct operation of the overlay and compression codec. You can change the frame rate if the video capture driver supports this feature
Color | Factor
 | 32
 | 16
 | 8
 | -


iuVCR history

04/01/2002 Version 4.4.0.260

  • The stream format dialogs must work more correctly now.

Version 4.3.0.259

  • Some fixes for compatibility with Windows 98 system.

11/19/2002 Version 4.2.0.258

  • A support for encoding analog video to DV format implemented
  • New filter named "histogram" included.
  • Fixed another bug with audio routing in crossbar during channels switch.
  • Some improvements for onesot mode.
  • The "Short Audio Samples" option turned off automatically if non-PCM audio format was selected.

11/14/2002 Version 4.1.0.255

  • A little memory allocation bug was fixed.
  • The "Oneshot" recording mode implemented.
  • Fixed bug with audio routing in crossbar during channels switch.
  • New option: "Stop when signal vanish".
  • The algorithm of assigned names for segments changed.

Version 4.1.0.248

  • The iuVCR will prevent putting the computer in the sleeping state now.

09/29/2002 Version 4.1.0.246 beta 4

  • Fixed the "green drops at start" bug for Nvidia-based cards
  • Folders autocreated now if not exist (under Win2000/XP only)
  • Uninstall icons for iuVCR will not multiply more
  • Some additional bug fixes

 Version 4.1.0.241 beta 3

  • The "Shedule" tab will work under Win98SE now.
  • Restored a capturing with "smart tee for preview" mode (It was broken in build 4.1.0.238).

08/27/2002 Version 4.1.0.240 beta 2

  • A bug of audio format choice was fixed
  • A correct names of DV devices displays now on the "video" tab.

08/20/2002 Version 4.1 beta

  • Support for DV devices implemented.
  • Presets now stored into system registry with unique device id instead simple index.
  • The sample grabber filter now unconnected while recording.
  • Some little bug fixes.
  • A new command appended to WM_COMMAND API.

04/08/2002 Version 4.0 RC1

  • Updated help included
  • Errors handling improved
  • A synchronization options were remade
  • Recording with timer implemented.
  • The "Start capture" button having pop-up menu now
  • Filters Manager improved
  • The "Snapshot" button having pop-up menu now
  • Splash during start added
  • Many bugs fixed

02/27/2002 Version 4.0 beta5

  • Still capture implemented
  • Pause function implemented
  • Some fixes for wrong mapping of the SVideo input to a channel
  • Other fixes.

01/21/2002 Version 4.0 beta4

  • Hotfix for video codec appending failures.
  • Storing and restoring settings for DirectShow video compressors implemented.

01/20/2002 Version 4.0 beta3

  • Fixed bug for nvidia wdm drivers: now error blue screen not appear.
  • Some changes for processing VFW codecs like divx 3.xx
  • New command line keys: /PWR:Off and /PWR:Hibernate for turn PC off when scheduled session done.
  • The COM interface is not supported any more.

0 1/11/2002 Version 4.0 beta2

  • TV-tuning was remade. Now several tunning mode can be assigned for each channel. Also mapping Svideo or Composite-In to "fake" channel available.
  • Scheduling now get new front-end instead standard system schedule dialog.
  • New command line key: /CHA:<Channel Number> for absolute channel number assign
  • New command line key: /TVI:Cable and /TVI:Antenna for force tuner input selection.
  • Some minor bug fixes and changes.

12/16/2001 Version 4.0 beta1

  • Filter manager implemented. You can use any DirectShow filters as plugins for realtime videostream processing. iuVCR 4 beta 1 include one original filter for image cropping.
  • Options tab remade.
  • Special experimental option - the "delay audio stream" for synchronically start video and audio streams was appended.

12/01/2001 Version 3.11

  • Workaround added for solve muted recording problem with some wdm drivers.
  • More correctly processing for the "Mixing renderer" filter existing only into Windows XP.
  • Bug fixed: "Access violation" message during capture start without audio stream.

11/15/2001 Version 3.10

  • Several fixes for iuVCR work correctly under Windows XP and DirectX 8.1.
  • Bug fixed: "division by zero" message appear in some cases when capture session start.

10/23/2001 Version 3.9

  • The "Max file time" option implemented for files segmentation.
  • The "One stamp for all session" option added.
  • Bug fixed: File overwriting when Windows Media Format using.
  • Now indexing control for Windows Media Format available. You can turn off indexing for prevent of delays during segment switching.
  • Statistic for Windows Media Format now work properly (require DX8.1 or higher).
  • Now iuVCR may work more 47 days continuously because the GetTickCount function is not used any more in the statistic routine.
  • New "Hide title bar" option implemented for preview window.

09/19/2001 Version 3.8

  • TVAudio button for calling a standard TVAudio dialog added on the "Video" tab.
  • Bug fixed: "Stay on top" option don't work properly.
  • Bug fixed: iuVCR is not switching to capture automatically when /p parameter using into command line.
  • Several options added.
  • Now if .AVI file already exists iuVCR always will set new name for overwriting preventing.
  • The "Max file size" box now accepting any values.

09/08/2001 Version 3.7

  • Recording .avi files without audio streams available now.
  • A second crossbar supporting now for ATI All-In-Wonder like cards.
  • Bug fixed: several same items are displayed in the video stream configuration dialog at some cases.
  • Bug fixed: during terminating of the iuVCR in some cases a exception occurs.
  • Changes in algorithm of numeration segmented files.
  • The list of video compressors now is displaying a DirectShow-based and VFW-based codecs with different colors and prefixes.
  • Some cosmetic changes on the 'Info" tab.

08/27/2001 Version 3.6

  • Settings for web cameras now also remember into presets.
  • New command line switch: /dev:<DeviceIndex>.
  • Channels scan algorithm improved for TV-tuners without indication of PLL offset.
  • Bug fixed: the "access violation" trap when the "channels scan params" dialog cancel and switching to any channel performed.

08/16/2001 Version 3.5

  • The special DirectShow filter developed and included to iuVCR distributive as workaround some fatal bugs of nVidia WDM capture driver 1.4.
  • Bug fixed: in some cases sound switched off when capturing process started.
  • Option "Keep preview if available" removed as obsolete.
  • The "Frame rate" box implemented into video format dialog box.

08/12/2001 Version 3.4

  • Bug fixed: wrong work with some card families having a hardware overlay such as ATI, ASUS.
  • Bug fixed: some video formats display incorrectly on "Info" tab.
  • Some other minor bug fixed.

08/09/2001 Version 3.3

  • This help extended
  • Bug fixed: Keeping sound when Preview to stopped.
  • Bug fixed: Override last selected channel with new frequency when /ch:<Freq> command line parameter was used.

08/06/2001 Version 3.2

  • Presets manager added.
  • Windows Scheduled Tasks integration implemented.
  • New command line switches: P, MUTE, NOTV, NOXBAR.
  • New option: "AVI compatibility index".

06/20/2001 Version 3.1

  • Bug fixed: Audio compression work properly only during first capture session
  • Additional resolution (384x288) inserted to predefined resolutions list (3x4)

06/15/2001 Version 3.0

  • Audio compression codecs available now.
  • Microsoft Windows Media Encoder integration added.
  • Some interface changes

05/10/2001 Version 2.2

  • Bug fixed: Bad audio header parameters for stereo formats.
  • Bug fixed: Application is not autoclosed during batch mode
  • Now log combobox have a popup menu.
  • Number of log events increased.

05/06/2001 Version 2.1

  • User interface revised:
    • One button instead two now using.
    • Full screen mode for preview window
    • Keyboard shortcuts implemented.
    • Statistic now placed on the "Info" sheet.
  • Some optimizations for internal algorithms make.
  • Some bug fixes performed.

04/18/2001 Version 2.0

  • Program distributed now as shareware.
  • Audio Mixer recording line params stored now.
  • Alternative, more comfortable dialog windows for crossbar and video stream settings (old dialogs available by right mouse button click).
  • Preview window now may be showed during capturing stream any format. This result obtained by means of "Smart Tee" filter using and require powerful CPU (at least 500Mhz).
  • Preview window now have popup menu with options.
  • New command line switches.
  • Some interface changes.

03/05/2001 Version 1.2

  • Bug fixed: raising exception when capture mode started after preview mode.
  • Bug fixed: video standard was not memorized when channels list was empty.
  • New option: Preview may be keep during capture, if this available by driver.
  • Preview window parameters remain now.
  • Audio PCM formats now available for selecting.
  • If channel number set in command line exceed 200 it will interpret as frequency. (this mode did not tested!)
  • Some interface changed.

02/04/2001 Version 1.1

  • multiple device support improved.
  • User interface remake.
  • Preview now worked in overlay mode.
  • Channel scanning improved.
  • New command line switch "/F:<FileName>".
  • Alternate locations for capturing easily now.
  • Statistic information about capturing extended.
  • COM interface for external control attached.
  • Some bugs fixed.

01/10/2001 Version 1.0

  • First release.